$(document).ready(function() {
	contacts = new Array();
	renderAlphabet();
	addDefaultContacts();
	defaultEvents();
});

/*Načte a vloží výchozí kontakty*/
function addDefaultContacts() {
	
	contacts[contacts.length] = new Person(contacts.length, "Adam", "Novák", "#lyzovani", "adam123@email.cz", "489 984 186", "796 432 123", "123 456 789", "543 210 987", "Komárovkská 159 746 01 Opava ");
	contacts[contacts.length] = new Person(contacts.length, "Pavla", "Horáková", "#kamoska", "pavla@horakova.cz", "pavla.horakova@pracovni.cz", "737 856 524", "", "987 654 321", "Slivenecká 9 940 15 Žlutice");
	contacts[contacts.length] = new Person(contacts.length, "Jan", "Horák", "#kamos", "jan.h@email.cz", "", "737 856 524", "", "987 654 321", "Slivenecká 9 940 15 Žlutice");
	contacts[contacts.length] = new Person(contacts.length, "Martin", "Holub", "#tenis", "martinh@gmail.com", "martin.holub@gmail.com", "786 458 125", "879 631 514", "987 654 321", "Hlavní třída 3 870 14 Ostrava");
}

function renderAlphabet() {
	var alphabet = new Array("A", "B", "C", "D", "E", "F", "G", "H", "C", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z");
	

	for (var i = 0; i < alphabet.length; i++) {
		$("#alphabet").append($('<span class="letter">' + alphabet[i] + "</span>"));
	}
}

/*Vykreslí detaily kontaktu*/
function showContactDetails(personId)
{
	person = contacts[personId];
	var content = '<h1>' + person.firstname + " " + person.lastname + '</h1><div class="right"><img id="cross" src="icons/close.svg"></div>';
	content += '<table id="details"><tr><td><img class="profilepicture" src="icons/user.svg" alt="User image"><br /><button id="editContact" class="btn-detail"><img src="icons/edit.svg" class="icon">Upravit</buttton></td>';
	content += '<td><table>';
	content += '<tr><td>Jméno:</td><td><strong>' + person.firstname + '</strong></td></tr>';
	content += '<tr><td>Příjmení:</td><td><strong>' + person.lastname + '</strong></td></tr>';
	content += '<tr><td>Štítky:</td><td><strong>' + person.labels + '</strong></td></tr>';
	content += '<tr><td>Hlavní e-mail:</td><td>' + person.mainEmail + '</td></tr>';
	content += '<tr><td>Pracovní e-mail:</td><td>' + person.workEmail + '</td></tr>';
	content += '<tr><td>Mobil:</td><td>' + person.mobile + '</td></tr>';
	content += '<tr><td>Staré číslo:</td><td>' + person.oldMobile + '</td></tr>';
	content += '<tr><td>Fax:</td><td><strong>' + person.fax + '</strong></td></tr>';
	content += '<tr><td>Adresa:</td><td><strong>' + person.adress + '</strong></td></tr>';




	$("#content").html(content);

	$("#cross").click(function() {
		$("#contacts .selected").attr('class', '');
		$("#content").text('Pokračujte výběrem kontaktu vpravo.')
	});


	$("#editContact").click(function() {
		editContact(personId);
	});
}

/*Třída kontaktu*/
var Person = function(id, firstname, lastname, labels, mainEmail, workEmail, mobile, oldMobile, fax, adress) {

	this.firstname = firstname;
	this.lastname = lastname;
	this.labels = labels;
	this.mainEmail = mainEmail;
	this.workEmail = workEmail;
	this.mobile = mobile;
	this.oldMobile = oldMobile;
	this.fax = fax;
	this.adress = adress;
	this.id = id;

	var $li = $('<li onclick="showContactDetails(' + id + ')" userid=' + this.id + '><img src="icons/vcard.svg" class="usericon">' + this.firstname + " "+ this.lastname + '</li>');
	$("#contacts").append($li);

	$('#contacts li[userid="' + id + '"]').click(function() {
		$("#contacts .selected").attr('class', '');
		$('#contacts li[userid="' + id + '"]').addClass('selected');
		console.log(contacts);
	}); 
}

function defaultEvents() {
	$("#deleteall").click(function() {
		$("body").append('<div class="popup"><h2>Opravdu si přejete odstranit všechny kontakty?</h2><button id="confirm">Ano</button><button id="close">Ne</button></div>');
		$(".popup #confirm").click(function() {
			contacts = [];
			$("#content").text('Pokračujte výběrem kontaktu vpravo.')
			$("#contacts").text("");
			$(".popup").fadeOut();
		});

		$(".popup #close").click(function() {
			$(".popup").fadeOut();
		});
	}); 	


	/*PŘIDÁNÍ NOVÉHO KONTAKTU*/
	$("#addContact").click(function() {
		var content = "<h1> Vytvoření kontaktu </h1>";
		content += "<table><tr>";
		content += '<td>Jméno<td><td><input type="text" id="firstname"></td></tr>';

		content += "<tr>";
		content += '<td>Příjmení<td><td><input type="text" id="lastname"></td></tr>';

		content += "<tr>";
		content += '<td>Štítky<td><td><input type="text" id="labels"></td>';

		content += "<tr>";
		content += '<td>Hlavní e-mail<td><td><input type="email" id="email"></td>';

		content += "<tr>";
		content += '<td>Pracovní e-mail<td><td><input type="email" id="workEmail"></td>';

		content += "<tr>";
		content += '<td>Mobil<td><td><input type="¨tel" id="mobile"></td>';

		content += "<tr>";
		content += '<td>Staré čislo<td><td><input type="tel" id="oldMobile"></td>';

		content += "<tr>";
		content += '<td>Fax<td><td><input type="tel" id="fax"></td>';

		content += "<tr>";
		content += '<td>Adresa<td><td><input type="text" id="adress"></td></table>';

		content += '<button id="saveContact">Uložit</button>';

		
		$("#content").html(content);

		$("#saveContact").click(function() {
			if ($())
				contacts[contacts.length] = new Person(contacts.length, $("#firstname").val(), $("#lastname").val(), $("#labels").val(), $("#email").val(), $("#workEmail").val(), $("#mobile").val(), $("#oldMobile").val(), $("#fax").val(), $("#adress").val());
			//contacts.length, $("#firstname").val(), $("#lastname").val(), $("#labels").val(), $("#email").val(), $("#workEmail").val(), $("#mobile").val(), $("#oldMobile").val(), $("#fax").val(), $("#adress").val()
		});
	});





}
/*EDITACE STÁVAJÍCÍHO KONTAKTU*/
function editContact(id) {
	var person = contacts[id];
	var content = "<h1>" + person.firstname + " " + person.lastname + "- úpravy</h1>";
	content += "<table><tr>";
	content += '<td>Jméno<td><td><input type="text" id="firstname" value="' + person.firstname + '"></td></tr>';

	content += "<tr>";
	content += '<td>Příjmení<td><td><input type="text" id="lastname" value="' + person.lastname + '"></td></tr>';

	content += "<tr>";
	content += '<td>Štítky<td><td><input type="text" id="labels" value="' + person.labels + '"></td>';

	content += "<tr>";
	content += '<td>Hlavní e-mail<td><td><input type="email" id="email" value="' + person.mainEmail + '"></td>';

	content += "<tr>";
	content += '<td>Pracovní e-mail<td><td><input type="email" id="workEmail" value="' + person.workEmail + '"></td>';

	content += "<tr>";
	content += '<td>Mobil<td><td><input type="¨tel" id="mobile" value="' + person.mobile + '"></td>';

	content += "<tr>";
	content += '<td>Staré čislo<td><td><input type="tel" id="oldMobile" value="' + person.mobile + '"></td>';

	content += "<tr>";
	content += '<td>Fax<td><td><input type="tel" id="fax" value="' + person.fax + '"></td>';

	content += "<tr>";
	content += '<td>Adresa<td><td><input type="text" id="adress" value="' + person.adress + '"></td></table>';

	content += '<button id="saveContact">Uložit</button>';



	$("#content").html(content);

	$("#saveContact").click(function() {
		contacts[id] = null;
		$('#contacts li[userid=' + id + ']').fadeOut();
		contacts[contacts.length] = new Person(contacts.length, $("#firstname").val(), $("#lastname").val(), $("#labels").val(), $("#email").val(), $("#workEmail").val(), $("#mobile").val(), $("#oldMobile").val(), $("#fax").val(), $("#adress").val());
		showContactDetails(contacts.length-1);
			//contacts.length, $("#firstname").val(), $("#lastname").val(), $("#labels").val(), $("#email").val(), $("#workEmail").val(), $("#mobile").val(), $("#oldMobile").val(), $("#fax").val(), $("#adress").val()
		});
}